function actuatorResponse = usvActuatorModule(speedCommand, turnCommand)
    % 无人船作动器模块
    % 输入参数：
    % speedCommand - 速度控制命令
    % turnCommand - 转向控制命令

    % 模拟马达响应
    motorPower = simulateMotorResponse(speedCommand);

    % 模拟舵机响应
    rudderAngle = simulateRudderResponse(turnCommand);

    % 组合作动器响应
    actuatorResponse = struct('MotorPower', motorPower, 'RudderAngle', rudderAngle);

    return
end
