% 示例：将转向和速度命令转化为实际运动
function [rudderAngle, enginePower] = actuatorResponse(turnCommand, speedCommand)
    % 假设简单的线性映射
    rudderAngle = turnCommand * 30; % 转向命令转化为舵角（最大30度）
    enginePower = speedCommand * 100; % 速度命令转化为引擎功率（百分比）

    % 确保输出在物理限制内
    rudderAngle = max(-30, min(30, rudderAngle));
    enginePower = max(0, min(100, enginePower));

    return [rudderAngle, enginePower];
end
